Bug 152399 - CAN-2005-0400 ext2 mkdir() directory entry random kernel memory leak
CAN-2005-0400 ext2 mkdir() directory entry random kernel memory leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
source=vendorsec,public=20050321,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 04:59 EST by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 04:59:58 EST
A flaw was discovered in ext2 filesystem support affecting 2.4 and 2.6 kernels.
 When a new directory is created, the ext2 block written to disk is initialized,
leading to an information leak.

The following script can easily show the problem on Linux 2.4 and 2.6:

#!/bin/sh
FILE=foo
dd if=/dev/zero of=$FILE bs=1k count=8192
mke2fs -F -b 1024 -m0 $FILE
mount -o loop $FILE mnt
for D in `seq 500` ; do mkdir mnt/$D ; done
umount mnt

Using 'strings foo' will reveal the information leak in the file.

Patch committed upstream, see

        fixed=2.6-bk (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bfc9vHVlT4nv2o4ys4_sf6vzKA
        fixed=2.4-bk (20050325 
http://linux.bkbits.net:8080/linux-2.4/cset@424473284plfEOB185qmyHPQyNPq4Q)
Comment 1 Mark J. Cox (Product Security) 2005-03-29 05:08:53 EST
("is not initialized")
Comment 3 Josh Bressers 2005-04-19 14:52:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-366.html

Note You need to log in before you can comment on or make changes to this bug.